org.eclipse.emf.facet.efacet.edit.core

## Class FacetCommandException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.emf.facet.efacet.edit.core.FacetCommandException

All Implemented Interfaces:
  java.io.Serializable

    public class FacetCommandException
    extends java.lang.Exception

See Also:
  Serialized Form
Noextend:
  This class is not intended to be extended by clients.
Noinstantiate:
  This class is not intended to be instantiated by clients.

### Constructor Summary

Constructors
Constructor and Description
`FacetCommandException()`
`FacetCommandException(java.lang.String message)`
`FacetCommandException(java.lang.String message, java.lang.Throwable cause)`
`FacetCommandException(java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FacetCommandException

    public FacetCommandException()

#### FacetCommandException

    public FacetCommandException(java.lang.String message,
                                 java.lang.Throwable cause)

#### FacetCommandException

    public FacetCommandException(java.lang.String message)

#### FacetCommandException

    public FacetCommandException(java.lang.Throwable cause)